{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}{% assign has_related = true %}
{% assign related_products = '' %}
{% for tag in product.tags %}
  {% if tag == 'no-related-products' %}
    {% assign has_related = false %}
  {% endif %}
  {% if tag contains 'related:' %}
    {% assign product_handle = tag | remove: 'related:' | append: ',' %}
    {% assign related_products = related_products | append: product_handle %}
  {% endif %}
{% endfor %}

{% if has_related or section.settings.active %}
  {% assign related_products = related_products | split: ',' %}
  <div class="related-products-header">
    <img src="{% comment %}ly_asset_replace_for_[ 'separateur.png' | asset_url ]_begin{% endcomment %}{% assign ly_asset = 'separateur.png' %}{% include 'ly-asset' with ly_asset %}{{ ly_translation  }}{% comment %}ly_asset_replace_end{% endcomment %}" />
    <div class="related-products-title"><ly-as-10725454>You Might Also Like</ly-as-10725454></div>
  </div><!-- ".related-products-header" -->

  {% if related_products.size > 0 %}
    <div class="related-products product-grid">
      {% for product_handle in related_products %}
        <div class="related-product container">
          {% assign related_product = all_products[product_handle] %}
          {% assign product = related_product %}
          {% include 'grid-product' %}
        </div><!-- ".related-product" -->
      {% endfor %}
    </div><!-- ".related-products" -->

    {% if section.blocks.size > 1 %}
      <div class="related-products-index carousel-index" data-carousel="related">
        {% for product_handle in related_products %}
          {% if forloop.first %}
            <div class="related-product-index carousel-index-point active" data-carousel="related"></div>
          {% else %}
            <div class="related-product-index carousel-index-point" data-carousel="related"></div>
          {% endif %}
        {% endfor %}
      </div><!-- ".related-products-index" -->
    {% endif %}
  {% else %}
    <div class="related-products product-grid">
      {% for block in section.blocks %}
        <div class="related-product container">
          {% assign product_handle  = block.settings.related_product %}
          {% assign related_product = all_products[product_handle] %}
          {% assign product = related_product %}
          {% include 'grid-product' %}
        </div><!-- ".related-product" -->
      {% endfor %}
    </div><!-- ".related-products" -->

    {% if section.blocks.size > 1 %}
      <div class="related-products-index carousel-index" data-carousel="related">
        {% for block in section.blocks %}
          {% if forloop.first %}
            <div class="related-product-index carousel-index-point active" data-carousel="related"></div>
          {% else %}
            <div class="related-product-index carousel-index-point" data-carousel="related"></div>
          {% endif %}
        {% endfor %}
      </div><!-- ".related-products-index" -->
    {% endif %}
  {% endif %}
{% endif %}
